{% extends 'app_lmgas/base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title%}LMGAS - Pedidos Clientes{% endblock%}


{% block contenido %}


<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{% url 'home' %}">inicio </a>> administrador</h6>

        <div class="row">
            <div id="panel-cliente" class="col-sm-3">
                <ul class="nav flex-column">
                    <li>
                        <h3 style="border-bottom: 1px solid #acacac;">Panel de Admin</h3>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'Admin' %}">Mi cuenta</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'ListaProductos' %}">Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'AdminPedidos' %}">Pedidos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'AdminClientes' %}">Clientes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="logout.html">Cerrar sesión</a>
                    </li>
                </ul>
            </div>

            <div class="col-sm-9">
                <div>
                    <h3 class="float-left">Listado pedidos clientes</h3>
                    <form class="form-inline my-2 my-lg-0 float-right">
                        <input class="form-control mr-sm-2" type="search" placeholder="Filtrar" aria-label="Search">
                        <button class="btn btn-outline-success my-2 my-sm-0 bg-primary text-light border-primary"
                            type="submit">Filtrar</button>
                    </form>
                </div>

                <table class="table table-hover table-responsive-sm table-sm ">
                    <thead>
                        <tr>
                            <th>Id pedido</th>
                            <th>Rut cliente</th>
                            <th>Fecha pedido</th>
                            <th>Estado</th>
                            <th>Detalle</th>
                            <th>Comentario</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for pe in listaPedidos  %}
                        <tr>
                            <td>{{pe.id_pedido}}</td>
                            <td>{{pe.rut}}</td>
                            <td>{{pe.fec_pedido}}</td>
                            <td>{{pe.estado_pedido}} <ion-icon style="cursor:pointer; color:darkcyan;" data-toggle="modal" data-target="#Modal-estado" name="pencil-outline" 
                                                    ></ion-icon>
                            </td>
                            <td class="text-center"><a href="{% url 'DetallePedido' pe.id_pedido %}">
                                    <ion-icon name="add-outline"></ion-icon>
                                </a>
                            </td>
                            <td class="text-center">
                                <ion-icon data-toggle="modal" data-target="#Modal-comentario"
                                    name="chatbubble-ellipses-outline"></ion-icon>
                            </td>
                            <td>
                                <a href=" {% url 'EditarPedido' pe.id_pedido %}">
                                    <ion-icon style="font-size: 30px;" name="create"></ion-icon>
                                </a>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>

                </table>
            </div>
        </div>

    </div>
    </div>

     <!-- Modal para el comentario -->
     <div class="modal fade" id="Modal-comentario">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Comentario</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <div class="col">
                        <div class="form-group">
                            
                        </div>
                    </div>

                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" data-dismiss="modal"
                        style="width: 100px;">Guardar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal"
                        style="width: 100px;">Salir</button>
                </div>

            </div>
        </div>
    </div>

    <!-- Modal para el estado -->
    <div class="modal fade" id="Modal-estado">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Estado del pedido</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <table>
                        <tbody>
                            <td>Seleccionar estado</td>
                        </tbody>
                    </table>

                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" data-dismiss="modal"
                        style="width: 100px;">Guardar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal"
                        style="width: 100px;">Salir</button>
                </div>

            </div>
        </div>
    </div>

    <!-- Modal para eliminar pedido -->
    <div class="modal fade" id="modalEliminar">
        <div class="modal-dialog modal-dialog-centered modal-danger">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title">Eliminar Pedido</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    ¿Está seguro que desea eliminar este pedido?
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button id="eliminar" type="button" class="btn btn-danger" data-dismiss="modal">Aceptar</button>
                    <button type="button" class="btn btn-success" data-dismiss="modal">Cerrar</button>
                </div>

            </div>
        </div>
    </div>


{% endblock contenido %}